﻿$ErrorActionPreference = 'Stop'; # stop on all errors


$packageName  = 'VideoPad'
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'vppsetup.exe'

$packageArgs = @{
  packageName   = $packageName
  file          = $fileLocation
  fileType      = 'exe' #only one of these: exe, msi, msu
  silentArgs    = '-ArgumentList / S / v / qn /NORESTART /SUPPRESSMSGBOXES --acceptlicense --limitoutput --force'
  validExitCodes= @(0, 3010, 1605, 1614, 1641)
}

Install-ChocolateyInstallPackage @packageArgs